Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in php53
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in php53
ID: SUSE-SU-2018:2681-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4
Datum: Mo, 10. September 2018, 22:46
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14883
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14851
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9118
Applikationen: PHP

Originalnachricht

   SUSE Security Update: Security update for php53
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:2681-1
Rating: moderate
References: #1103659 #1103836 #1105466
Cross-References: CVE-2017-9118 CVE-2018-14851 CVE-2018-14883

Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP4
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for php53 fixes the following issues:

The following security issues were fixed:

- CVE-2018-14851: Fixed an out-of-bound read in
exif_process_IFD_in_MAKERNOTE, which could be exploited by an attacker
via crafted JPG files, and could result in an application crash.
(bsc#1103659)
- CVE-2018-14883: Fixed an integer overflow leading to a heap based buffer
over-read in exif_thumbnail_extract of exif.c. (bsc#1103836)
- CVE-2017-9118: Fixed an out of bounds access in php_pcre_replace_impl
via a crafted preg_replace call (bsc#1105466)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-php53-13773=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-php53-13773=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-php53-13773=1



Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

php53-devel-5.3.17-112.38.1
php53-imap-5.3.17-112.38.1
php53-posix-5.3.17-112.38.1
php53-readline-5.3.17-112.38.1
php53-sockets-5.3.17-112.38.1
php53-sqlite-5.3.17-112.38.1
php53-tidy-5.3.17-112.38.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

apache2-mod_php53-5.3.17-112.38.1
php53-5.3.17-112.38.1
php53-bcmath-5.3.17-112.38.1
php53-bz2-5.3.17-112.38.1
php53-calendar-5.3.17-112.38.1
php53-ctype-5.3.17-112.38.1
php53-curl-5.3.17-112.38.1
php53-dba-5.3.17-112.38.1
php53-dom-5.3.17-112.38.1
php53-exif-5.3.17-112.38.1
php53-fastcgi-5.3.17-112.38.1
php53-fileinfo-5.3.17-112.38.1
php53-ftp-5.3.17-112.38.1
php53-gd-5.3.17-112.38.1
php53-gettext-5.3.17-112.38.1
php53-gmp-5.3.17-112.38.1
php53-iconv-5.3.17-112.38.1
php53-intl-5.3.17-112.38.1
php53-json-5.3.17-112.38.1
php53-ldap-5.3.17-112.38.1
php53-mbstring-5.3.17-112.38.1
php53-mcrypt-5.3.17-112.38.1
php53-mysql-5.3.17-112.38.1
php53-odbc-5.3.17-112.38.1
php53-openssl-5.3.17-112.38.1
php53-pcntl-5.3.17-112.38.1
php53-pdo-5.3.17-112.38.1
php53-pear-5.3.17-112.38.1
php53-pgsql-5.3.17-112.38.1
php53-pspell-5.3.17-112.38.1
php53-shmop-5.3.17-112.38.1
php53-snmp-5.3.17-112.38.1
php53-soap-5.3.17-112.38.1
php53-suhosin-5.3.17-112.38.1
php53-sysvmsg-5.3.17-112.38.1
php53-sysvsem-5.3.17-112.38.1
php53-sysvshm-5.3.17-112.38.1
php53-tokenizer-5.3.17-112.38.1
php53-wddx-5.3.17-112.38.1
php53-xmlreader-5.3.17-112.38.1
php53-xmlrpc-5.3.17-112.38.1
php53-xmlwriter-5.3.17-112.38.1
php53-xsl-5.3.17-112.38.1
php53-zip-5.3.17-112.38.1
php53-zlib-5.3.17-112.38.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

php53-debuginfo-5.3.17-112.38.1
php53-debugsource-5.3.17-112.38.1


References:

https://www.suse.com/security/cve/CVE-2017-9118.html
https://www.suse.com/security/cve/CVE-2018-14851.html
https://www.suse.com/security/cve/CVE-2018-14883.html
https://bugzilla.suse.com/1103659
https://bugzilla.suse.com/1103836
https://bugzilla.suse.com/1105466

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung